petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscDrawSetPause

Sets the amount of time that program pauses after a PetscDrawPause() is called.

### Synopsis

    #include "petscdraw.h"
    PetscErrorCode  PetscDrawSetPause(PetscDraw draw,PetscReal lpause)

Logically Collective on PetscDraw

### Input Parameters

| draw | - the drawing object
| lpause | - number of seconds to pause, -1 implies until user input, -2 pauses only on the PetscDrawDestroy()

### Note

By default the pause time is zero unless the -draw_pause option is given during PetscDrawCreate().

### See Also

PetscDrawGetPause(), PetscDrawPause()

### Level

intermediate

### Location

src/sys/classes/draw/interface/dpause.c

### Examples

src/ksp/ksp/examples/tutorials/ex68.c.html
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages